require 'test_helper'

class SearchTest < ActiveSupport::TestCase
  should validate_presence_of(:query)
  should validate_presence_of(:results_per_page)
  should validate_presence_of(:order)
  should validate_presence_of(:search_class)
  
  test 'should validate search_class' do
    search = Search.new(:search_class => 'invalid')
    assert_not search.valid?
  end

end
