sidekiq_configs = YAML.load_file(Rails.root.join('config').to_s.concat('/sidekiq.yml'))
config = sidekiq_configs.fetch(Rails.env)

redis_url = "redis://#{config['host']}:#{config['port']}/0"

Sidekiq.configure_server do |config|
  config.redis = { :url => redis_url}
end

Sidekiq.configure_client do |config|
  config.redis = { :url => redis_url}
end
